Ir al contenido

Anular cobro

Cancela un payment intent. Pasa a status CANCELLED.

POSThttps://api.kuti.pe/v1/payment-intents/{id}/cancel
Si el cobro ya está pagado, procesando o en un estado que no admite anulación, responde 409.

Path

id
stringrequerido
Id del cobro en el path (pi_…).Ej: pi_01J8Z3K4M5N6P7Q8R9S0T1U2V3

Language

Credentials

Header

Authorization

Secret key de developer · ejemplos con librerías estándar (aún sin SDK)

cURL Request
curl -s 'https://api.kuti.pe/v1/payment-intents/pi_01J8Z3K4M5N6P7Q8R9S0T1U2V3/cancel' \
  -X POST \
  -H 'Authorization: Bearer kuti_live_…'
Librería estándar · sin SDK propio
Response

Elige un ejemplo de respuesta:

application/json
200OK
{
  "success": true,
  "message": "Payment intent cancelled",
  "data": {
    "id": "pi_01J8Z3K4M5N6P7Q8R9S0T1U2V3",
    "merchant_id": "mer_01J8Z3K4M5N6P7Q8R9S0T1U2V3",
    "livemode": true,
    "customer": {
      "id": "cus_01J8Z3K4M5N6P7Q8R9S0T1U2V3",
      "type": "INDIVIDUAL",
      "first_name": "María",
      "last_name": "López",
      "name": "María López"
    },
    "amount": {
      "amount": "50.00",
      "currency": "PEN"
    },
    "status": "CANCELLED",
    "payment_method_types": [
      "INTEROPERABLE_QR"
    ],
    "description": "Pedido #1042",
    "created_at": "2026-09-04T10:48:59.556906Z"
  }
}